Need remove deprecated module commands

Bug #1248216 reported by ChangBo Guo(gcb) on 2013-11-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
ChangBo Guo(gcb)
Glance
Undecided
ChangBo Guo(gcb)
Ironic
Fix Released
Undecided
ChangBo Guo(gcb)
OpenStack Compute (nova)
Undecided
ChangBo Guo(gcb)
oslo-incubator
Undecided
ChangBo Guo(gcb)

Bug Description

The commands module was deprecated since version 2.6 and it has been
removed in Python 3. Use the subprocess module instead.

See http://docs.python.org/2/library/commands#module-commands

Changed in oslo:
assignee: nobody → ChangBo Guo (guochbo)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/55396

Changed in cinder:
assignee: nobody → ChangBo Guo (guochbo)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/55401

Changed in ironic:
assignee: nobody → ChangBo Guo (guochbo)
status: New → In Progress
Changed in glance:
status: New → In Progress
assignee: nobody → ChangBo Guo (guochbo)
Changed in nova:
assignee: nobody → ChangBo Guo (guochbo)

Fix proposed to branch: master
Review: https://review.openstack.org/55406

Changed in nova:
status: New → In Progress

Reviewed: https://review.openstack.org/55401
Committed: http://github.com/openstack/ironic/commit/23f5478825d8248c58018631014b28c1addcce76
Submitter: Jenkins
Branch: master

commit 23f5478825d8248c58018631014b28c1addcce76
Author: Chang Bo Guo <email address hidden>
Date: Wed Nov 6 04:32:53 2013 -0800

    Don't use deprecated module commands

    The commands module was deprecated since version 2.6 and it has been
    removed in Python 3. Use the subprocess module instead.
    See http://docs.python.org/2/library/commands#module-commands

    Closes-Bug: #1248216
    Change-Id: I16d6baa77637f84b878df3ee6f964ddb9446d7bf

Changed in ironic:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/55396
Committed: http://github.com/openstack/cinder/commit/2f62736e47367404ac56525689412d123d69c283
Submitter: Jenkins
Branch: master

commit 2f62736e47367404ac56525689412d123d69c283
Author: Chang Bo Guo <email address hidden>
Date: Wed Nov 6 04:19:37 2013 -0800

    Don't use deprecated module commands

    The commands module was deprecated since version 2.6 and it has been
    removed in Python 3. Use the subprocess module instead.
    See http://docs.python.org/2/library/commands#module-commands

    Closes-Bug: #1248216
    Change-Id: I4091179c6b312ae8534b30adc518eff67d68320a

Changed in cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/55282
Committed: http://github.com/openstack/oslo-incubator/commit/ca7a2abd1c125588c29b21d35f4b0e46dd1f3726
Submitter: Jenkins
Branch: master

commit ca7a2abd1c125588c29b21d35f4b0e46dd1f3726
Author: Chang Bo Guo <email address hidden>
Date: Tue Nov 5 06:45:35 2013 -0800

    Don't use deprecated module commands

    The commands module was deprecated since version 2.6 and it has been
    removed in Python 3. This patch uses processutils.trycmd method to
    replace of deprecated module commands.
    See http://docs.python.org/2/library/commands#module-commands

    Closes-Bug: #1248216

    Change-Id: Iee0b3cf59c738bfda9c5b2049a1853abbb6d16e0

Changed in oslo:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/55399
Committed: http://github.com/openstack/glance/commit/21510b1f35c1e3cc9e230ed1ff6af75c118f0d62
Submitter: Jenkins
Branch: master

commit 21510b1f35c1e3cc9e230ed1ff6af75c118f0d62
Author: Chang Bo Guo <email address hidden>
Date: Wed Nov 6 04:26:07 2013 -0800

    Don't use deprecated module commands

    The commands module was deprecated since version 2.6 and it has been
    removed in Python 3. Use the subprocess module instead.
    See http://docs.python.org/2/library/commands#module-commands

    Closes-Bug: #1248216
    Change-Id: I0a89dbba374a28b16a6e24f2a1b05ce06e044de4

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-12-04
Changed in cinder:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-12-04
Changed in glance:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-12-05
Changed in oslo:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-12-09
Changed in ironic:
milestone: none → icehouse-1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/55406
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=fb7e2c11027dd52b895a377f64212baa9faa97fa
Submitter: Jenkins
Branch: master

commit fb7e2c11027dd52b895a377f64212baa9faa97fa
Author: Chang Bo Guo <email address hidden>
Date: Wed Nov 6 05:05:05 2013 -0800

    Don't use deprecated module commands

    The commands module was deprecated since version 2.6 and it has been
    removed in Python 3.

    See http://docs.python.org/2/library/commands#module-commands

    Closes-Bug: #1248216
    Change-Id: I0ae40c7683ca58ede75f493d020e5c80a6434fef

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → icehouse-2
Thierry Carrez (ttx) on 2014-01-22
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in oslo:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers